org.firebirdsql.jdbc.escape

## Enum FBEscapedParser.EscapeParserMode

- java.lang.Object
- - java.lang.Enum<FBEscapedParser.EscapeParserMode>
  - - org.firebirdsql.jdbc.escape.FBEscapedParser.EscapeParserMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FBEscapedParser.EscapeParserMode>
  Enclosing class:
    FBEscapedParser

      public static enum FBEscapedParser.EscapeParserMode
      extends java.lang.Enum<FBEscapedParser.EscapeParserMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `USE_BUILT_IN` Use built-in functions if available.
    `USE_STANDARD_UDF` Attempt to use UDF if there is no explicit function template defined.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FBEscapedParser.EscapeParserMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FBEscapedParser.EscapeParserMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### USE_BUILT_IN

          public static final FBEscapedParser.EscapeParserMode USE_BUILT_IN

      Use built-in functions if available.

      This may still result in a UDF function beign used if the UDF matches naming and arguments of the function (or function template)

    - #### USE_STANDARD_UDF

          public static final FBEscapedParser.EscapeParserMode USE_STANDARD_UDF

      Attempt to use UDF if there is no explicit function template defined.

      This may still result in a built-in function being used if there is an explicit function template, and/or if there is no UDF with the name, but there is a built-in with the same name and parameter order.

  - ### Method Detail

    - #### values

          public static FBEscapedParser.EscapeParserMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FBEscapedParser.EscapeParserMode c : FBEscapedParser.EscapeParserMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FBEscapedParser.EscapeParserMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.